Qore Programming Language Reference Manual 0.8.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Groups Pages
Variables
Math Constants

## Variables
const | Qore::MAXINT = LLONG_MAX
| largest integer More...
const | Qore::MININT = qore(new QoreBigIntNode(-LLONG_MAX - 1))
| smallest integer More...
const | Qore::M_PI = 3.14159265358979323846
| PI (floating-point)
const | Qore::M_PIn = qore(pi_number())
| PI (arbitrary-precision numeric) More...

## Detailed Description

Math constants

## Variable Documentation

const Qore::M_PIn = qore(pi_number())

PI (arbitrary-precision numeric)

Since
  Qore 0.8.6

const Qore::MAXINT = LLONG_MAX

largest integer

Since
  Qore 0.8.6

const Qore::MININT = qore(new QoreBigIntNode(-LLONG_MAX - 1))

smallest integer

Since
  Qore 0.8.6